[v10.6]
1=Förbättrade skannings algoritmer för att upptäcka och rengöra fler rester
2=Optimerade uppdatering algoritmer för att få uppdateringar för dina installerade program snabbare
3=Det stödet för flera språk har förbättrats ör bättre lokalisering
4=Fixade alla kända buggar

[v10.5]
1=Bättre Install Monitor för mer omfattande och noggrann övervakning
2=Förbättrad Software Health för att upptäcka och åtgärda fler programvaruproblem
3=Borttagare av Envis Program med större databas för att ta bort 130 fler envisa program
4=Utökad databas för att ta bort 22% fler skadliga/annons tillägg för snabbare och säkrare surfning
5=Fixade alla kända buggar

[v10.4]
1=Den algoritm för att skanna rester har förbättrats för att hitta och rengöra fler rester
2=Förstorad databas för att ta bort 350 fler envisa program
3=Den borttagare för envis program har förbättrats för att upptäcka program med avinstallationsproblem mer exakt
4=Några UI-förbättringar
5=Fixade alla kända buggar

[v10.3]
1=Förbättrad restskanning för att ta bort fler filer och registerposter
2=Förbättrad avinstallationsmotor för att ta bort superstora program mer noggrant
3=Större databas för att ta bort 210 envisare program
4=Lagt till stöd för att maximera detaljfönstret i Avinstallationshistorik och Installationslogg
5=Det rekonfigurationsproblemet med appar i Win 10 har fixats
6=Alla kända buggarna har fixats

[v10.2]
1=Förbättrad Borttagare för Envis Program för att upptäcka fler avinstallationsproblem i Microsofts installationsprogram 
2=Förstorad databas för att ta bort 240 fler envisa program
3=Förbättrade algoritmer för att skanna rester, med vilka man kan söka efter fler rester efter programavinstallation
4=Optimerad Installationsmonitor för mer komplett installationslogg när du övervakar programuppdateringar
5=Bättre gränssnitt för mjukvaruuppdatering för mer användarvänlig upplevelse
6=Alla kända buggarna har fixats

[v10.1]
1=Ny Borttagare av Envis Program för att ta bort envisa program mycket lättare
2=Större databas för att ta bort 200 fler envisa program
3=Nu kan du välja om det alternativt för Kraftfull Avinstallation ska visas i Windows
4=Nu kan du välja om systemkörningskomponenter ska visas i programlistan
5=Det enstaka problem med felaktig detektering av programstorlek och instabil övervakning av installation av stora program har fixats
6=Alla kända buggarna har fixats

[v10.0]
1=Den avinstallationshastigheten har blivit 50% snabbare
2=Den algoritmem för att söka rester har förbättrats och 30% fler rester hittas
3=Förbättrad programvarahälsa för att nyligen stödja blockering av webbplatsaviseringar som avbryter dig
4=Förbättrad Install Monitor för att övervaka fler programinstallation och stödja övervakningssystemtjänster, schemalagda uppgifter och DLL-registrering
5=Den algoritm för att hitta program har förbättrats för att upptäcka Sällan Använda Program och Bundleware mer exakt
6=Den enstaka felaktiga restmeddelanden efter uppdatering av vissa program har fixats.
7=Lagt till stöd för att avinstallera 40+ envisa program t.ex. MPC-HC, SpyHunter5, Avast Antivirus, Rockstar Games, IntelliJ IDEA osv.
8=Nyligen stöd för att uppdatera flerspråkiga versioner av vissa populära program, t.ex. Firefox, WinRAR och Mozilla Thunderbird
9=Nyligen Stöd för att ta bort plugin från den nya Microsoft Edge (Chromium)
10=Bättre användargränssnitt för mer användarvänlig upplevelse
11=Två skal: mörk & ljus
12=Lokalisering: 38 språk